dependencies:
  override:
    - curl -L https://atom.io/download/deb -o atom-amd64.deb
    - sudo dpkg --install atom-amd64.deb || true
    - sudo apt-get update
    - sudo apt-get -f install
    - node --version
    - npm --version
    - atom --version
    - npm prune
    - npm install
    - apm rebuild
    - npm run build

test:
  override:
    - npm test

machine:
  node:
    version: 6.3.0
